HALT(3PVM)

NAME
pvm_halt - Shuts down the entire PVM system.

SYNOPSIS
C	int info = pvm_halt( void )

Fortran	call pvmfhalt( info )

PARAMETERS

info
    Integer returns the error status.

DESCRIPTION
The routine pvm_halt shuts down the entire PVM system including remote tasks, remote pvmds, the local tasks (including the calling task) and the local pvmd.

The task calling pvm_halt() must ignore or catch signal SIGTERM or it will be killed along with all the others.

ERRORS
The following error conditions can be returned

PvmSysErr
    local pvmd is not responding.

SEE ALSO
pvm_delhosts(3PVM), pvm_kill(3PVM), pvm_exit(3PVM)